summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:29:25 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:25 +0200
commit491ea5cbe5208a7fcfb491846de3b485a6b6710f (patch)
treea76b340f4452abd5b3de8ff28e28027a874a52f3 /games
parent433652987873bb7e1bb654dcbfeaa9225d9fbe5a (diff)
downloadslackbuilds-491ea5cbe5208a7fcfb491846de3b485a6b6710f.tar.gz
slackbuilds-491ea5cbe5208a7fcfb491846de3b485a6b6710f.tar.xz
games/liquidwar6: Added to 12.2 repository
Diffstat (limited to 'games')
-rw-r--r--games/liquidwar6/README15
-rw-r--r--games/liquidwar6/liquidwar6.SlackBuild112
-rw-r--r--games/liquidwar6/liquidwar6.desktop6
-rw-r--r--games/liquidwar6/liquidwar6.info8
-rw-r--r--games/liquidwar6/liquidwar6.pngbin0 -> 1198 bytes
-rw-r--r--games/liquidwar6/slack-desc19
-rw-r--r--games/liquidwar6/sqlite_libdl.diff12
7 files changed, 172 insertions, 0 deletions
diff --git a/games/liquidwar6/README b/games/liquidwar6/README
new file mode 100644
index 0000000000..82b1e8904b
--- /dev/null
+++ b/games/liquidwar6/README
@@ -0,0 +1,15 @@
+Liquid War 6 is a unique multiplayer wargame. Your army is a blob of
+liquid and you have to try and eat your opponents. Rules are very simple
+yet original, they have been invented by Thomas Colcombet. It is possible
+to play alone against the computer but the game is really designed to
+be played with friends, on a single computer, on a LAN, or on Internet.
+
+If you'd like this package to include some extra game maps, get them
+from:
+http://download.savannah.gnu.org/releases/liquidwar6/0.0.6beta/liquidwar6-extra-maps-0.0.6beta.tar.gz
+
+Place the liquidwar6-extra-maps-0.0.6beta.tar.gz file in the same
+directory with liquidwar6.SlackBuild before building the package.
+
+The documentation for liquidwar6 is pretty sparse. The liquidwar v5
+docs might be useful: http://www.ufoot.org/liquidwar/v5/doc
diff --git a/games/liquidwar6/liquidwar6.SlackBuild b/games/liquidwar6/liquidwar6.SlackBuild
new file mode 100644
index 0000000000..dca064e475
--- /dev/null
+++ b/games/liquidwar6/liquidwar6.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for liquidwar6
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=liquidwar6
+VERSION=${VERSION:-0.0.6beta}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SHORTNAM=${PRGNAM/[0-9]*/}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+# liquidwar really ought to be using pkg-config to get the correct -l
+# flags for sqlite3, but it doesn't.
+patch -p1 < $CWD/sqlite_libdl.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --infodir=/usr/info \
+ --enable-shared \
+ --disable-static \
+ --mandir=/usr/man
+
+make
+make install-strip DESTDIR=$PKG
+
+# /usr/lib/ is hard-coded in too many places where --libdir gets
+# ignored. On 64-bit arches, the libs should live in /usr/lib64,
+# but the game will always look in /usr/lib
+if [ -n "${LIBDIRSUFFIX}" ]; then
+ ( cd $PKG/usr/lib
+ mv $PRGNAM-$VERSION ../lib${LIBDIRSUFFIX}
+ ln -s ../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION $PRGNAM-$VERSION
+ )
+fi
+
+gzip $PKG/usr/man/man6/$PRGNAM.6
+( cd $PKG/usr/man/man6 ; ln -s $PRGNAM.6.gz $SHORTNAM.6.gz )
+( cd $PKG/usr/games ; ln -s $PRGNAM $SHORTNAM )
+
+# PNG icon converted from data/net/htdocs/favicon.ico
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+# The package docs are just a skeleton, completely useless
+# (the real docs are the info pages, although they're not all that
+# useful either)
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README NEWS ChangeLog COPYING AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# If the extra-maps source is found, install it
+# (do this last so we can edit the slack-desc in place)
+if [ -r $CWD/$PRGNAM-extra-maps-$VERSION.tar.gz ]; then
+ ( cd $TMP
+ tar xvf $CWD/$PRGNAM-extra-maps-$VERSION.tar.gz
+ mkdir -p $PKG/usr/share/$PRGNAM-$VERSION/map/extra
+ cp -r $PRGNAM-extra-maps-$VERSION/map/* \
+ $PKG/usr/share/$PRGNAM-$VERSION/map/extra
+ )
+ sed -i -e '18s/:/: This package includes the extra game maps./' \
+ $PKG/install/slack-desc
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/liquidwar6/liquidwar6.desktop b/games/liquidwar6/liquidwar6.desktop
new file mode 100644
index 0000000000..9d3b2dd5e7
--- /dev/null
+++ b/games/liquidwar6/liquidwar6.desktop
@@ -0,0 +1,6 @@
+[Desktop Entry]
+Name=Liquid War 6
+Exec=liquidwar6
+Type=Application
+Icon=liquidwar6
+Categories=Game;StrategyGame;
diff --git a/games/liquidwar6/liquidwar6.info b/games/liquidwar6/liquidwar6.info
new file mode 100644
index 0000000000..7841c64598
--- /dev/null
+++ b/games/liquidwar6/liquidwar6.info
@@ -0,0 +1,8 @@
+PRGNAM="liquidwar6"
+VERSION="0.0.6beta"
+HOMEPAGE="http://www.gnu.org/software/liquidwar6/"
+DOWNLOAD="http://download.savannah.gnu.org/releases/liquidwar6/0.0.6beta/liquidwar6-0.0.6beta.tar.gz"
+MD5SUM="a8eed80560bc9d33981653b6a29ebd0d"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="rworkman"
diff --git a/games/liquidwar6/liquidwar6.png b/games/liquidwar6/liquidwar6.png
new file mode 100644
index 0000000000..b7885181ba
--- /dev/null
+++ b/games/liquidwar6/liquidwar6.png
Binary files differ
diff --git a/games/liquidwar6/slack-desc b/games/liquidwar6/slack-desc
new file mode 100644
index 0000000000..38212cb5e2
--- /dev/null
+++ b/games/liquidwar6/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+liquidwar6: liquidwar6 (multiplayer war game)
+liquidwar6:
+liquidwar6: Liquid War 6 is a unique multiplayer wargame. Your army is a blob
+liquidwar6: of liquid and you have to try and eat your opponents. Rules are very
+liquidwar6: simple yet original, they have been invented by Thomas Colcombet. It
+liquidwar6: is possible to play alone against the computer but the game is really
+liquidwar6: designed to be played with friends, on a single computer, on a LAN,
+liquidwar6: or on the Internet.
+liquidwar6:
+liquidwar6:
+liquidwar6:
diff --git a/games/liquidwar6/sqlite_libdl.diff b/games/liquidwar6/sqlite_libdl.diff
new file mode 100644
index 0000000000..59ce2c1e74
--- /dev/null
+++ b/games/liquidwar6/sqlite_libdl.diff
@@ -0,0 +1,12 @@
+diff -Naur liquidwar6-0.0.6beta.orig/configure liquidwar6-0.0.6beta/configure
+--- liquidwar6-0.0.6beta.orig/configure 2009-01-10 09:43:13.000000000 -0500
++++ liquidwar6-0.0.6beta/configure 2009-06-05 15:26:10.000000000 -0400
+@@ -29368,7 +29368,7 @@
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+ ac_check_lib_save_LIBS=$LIBS
+-LIBS="-lsqlite3 $LIBS"
++LIBS="-lsqlite3 -ldl $LIBS"
+ cat >conftest.$ac_ext <<_ACEOF
+ /* confdefs.h. */
+ _ACEOF